package com.tongran.system.mapper;

import com.tongran.system.domain.RmResourceGroup;

import java.util.List;

/**
 * 资源分组Mapper接口
 * 
 * @author tongran
 * @date 2025-08-12
 */
public interface RmResourceGroupMapper 
{
    /**
     * 查询资源分组
     * 
     * @param id 资源分组主键
     * @return 资源分组
     */
    public RmResourceGroup selectRmResourceGroupById(Long id);

    /**
     * 查询资源分组列表
     * 
     * @param rmResourceGroup 资源分组
     * @return 资源分组集合
     */
    public List<RmResourceGroup> selectRmResourceGroupList(RmResourceGroup rmResourceGroup);

    /**
     * 新增资源分组
     * 
     * @param rmResourceGroup 资源分组
     * @return 结果
     */
    public int insertRmResourceGroup(RmResourceGroup rmResourceGroup);

    /**
     * 修改资源分组
     * 
     * @param rmResourceGroup 资源分组
     * @return 结果
     */
    public int updateRmResourceGroup(RmResourceGroup rmResourceGroup);

    /**
     * 删除资源分组
     * 
     * @param id 资源分组主键
     * @return 结果
     */
    public int deleteRmResourceGroupById(Long id);

    /**
     * 批量删除资源分组
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRmResourceGroupByIds(Long[] ids);

    /**
     * 查询资源分组信息和监控项
     * @param id
     * @return
     */
    public RmResourceGroup selectMonitorMsgAndGroupMsg(Long id);

    int exitsResourceById(RmResourceGroup rmResourceGroup);

    int updateRmPolicyStatus(Long resourceGroupId);

    int updateScriptPolicyStatus(Long resourceGroupId);
}
